Initial support for Symfony2

Hi all, today we would like to show you how you can develop your Symfony2 projects with Twig templates in NetBeans 7.1.

First, you need to download RC version of NetBeans 7.1. Then, among available plugins (Tools > Plugins), there is a Symfony2 plugin. This plugin (which will be part of the next version of NetBeans) now provides just the basic support for Symfony2 framework as can be seen on its homepage:

  • Run Comand
  • Create new Symfony2 project

For editing Twig templates, this plugin registers the built-in Smarty support - yes, this is definitely far from perfect. Much better solution is to download and use the Twig support for NetBeans written by Sebastian Hörl. BTW this plugin will be part of the next version of NetBeans - thanks a lot Sebastian for your contribution!

Twig support in NetBeans 7.1 via custom plugin

That's all for today, as always, please test it and report all the issues or enhancements you find in NetBeans BugZilla (component php, subcomponent Symfony).

Comments:

Great news, thanks.

Posted by EgrettaThula on December 05, 2011 at 07:59 AM CET #

Really great news , I hate to gave open the command line separate to the editor and most of the time mistype something.

Posted by Daniel Gafitescu on December 05, 2011 at 08:18 AM CET #

Super! Please, continue making it better.

Posted by pulzarraider on December 05, 2011 at 03:47 PM CET #

Thanks guys, looking forward to using it!

Posted by Craig Marvelley on December 06, 2011 at 03:37 AM CET #

thanks!

Posted by guest on December 07, 2011 at 04:07 AM CET #

There is still a lot of work to do to catch up with Eclipse SF2 support.

Posted by Jérémy on December 11, 2011 at 05:59 AM CET #

This is great to see, although I'm skeptical as to how comprehensive the support will ever be.

I've created some issues on the NetBeans bug tracker to note the kind of features that would be required to really qualify as Symfony2 support.

The problem now is that Netbeans is going to go around telling everybody that they have Symfony2 support, when really it's so light, it can hardly be considered worthwhile.

That all said, PHP namespaces support in general in Netbeans is extremely good. But I think what we have so far is just a sliver of what needs to be done.

Posted by guest on December 11, 2011 at 10:41 AM CET #

Doesn't work.
Some plugins require plugin Options Dialog and SPI to be installed.
The plugin Options Dialog and SPI is requested in version >= 1.24 but only 1.23.1 was found.

The plugin PHP APIs is requested in version >= 1.53 but only 1.51.1 was found.

The plugin Lookup API is requested in version >= 8.11 but only 8.10.1 was found.

runnning 7.1beta, dl+installed today no updates available.
so how I can install this ?

Posted by guest on December 11, 2011 at 03:59 PM CET #

Hi.
It's nice to see the Twig Plugin written by Sebastian Hörl integrated into Netbeans. Twig is really a nice template engine - easy to learn and to extend.

Thank you for your work.

Posted by Christian on December 16, 2011 at 07:46 AM CET #

Post a Comment:
  • HTML Syntax: NOT allowed
About

This blogs is written by NetBeans developers who contribute to the PHP support mainly.

Search

Archives
« April 2014
SunMonTueWedThuFriSat
  
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today